#### D.15.3.41 eulerChProj

Procedure from library `chern.lib` (see chern_lib).

Usage:
  eulerChProj(n, r, c); n integer, r polynomial (or integer), c list of polynomials

Return:
  polynomial

Purpose:
  computes the Euler characteristic of a vector bundle on P_n in terms of its rank and Chern classses

Note:

Example:

    LIB "chern.lib";
    ring h=0, (r, c(1..3)),  ws(0,1,2,3);
    list l=c(1..3);
    // the Euler characteristic of a vector bundle on the projective line
    print( eulerChProj(1, r, l) );
    ==> r+c(1)
    // the Euler characteristic of a vector bundle on the projective plane
    print( eulerChProj(2, r, l) );
    ==> r+3/2*c(1)+1/2*c(1)^2-c(2)
    // the Euler characteristic of a vector bundle on P_3
    print( eulerChProj(3, r, l) );
    ==> r+11/6*c(1)+c(1)^2-2*c(2)+1/6*c(1)^3-1/2*c(1)*c(2)+1/2*c(3)
    // assume now that we have a bundle framed at a subplane of P_3
    // this implies c(1)=c(2)=0
    l= 0, 0, c(3);
    // the Euler characteristic is
    print( eulerChProj(3, r, l) );
    ==> r+1/2*c(3)
    // which implies that c(3) must be even in this case

User manual for Singular version 4-0-3, 2016, generated by texi2html.